Package org.eclipse.cdt.core.dom.ast.c

# Interface ICFunctionScope

All Superinterfaces:
  `ICScope`, `IScope`

public interface ICFunctionScope extends ICScope

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

## Method Summary

Modifier and Type
Method
Description
`IBinding`
`getBinding(char[] name)`
return the ILabel binding in this scope that matches the given name
`IScope`
`getBodyScope()`
Get the scope representing the function body .

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

## Method Details

### getBodyScope

IScope getBodyScope() throws DOMException
Get the scope representing the function body . returns null if there is no function definition

Throws:
  `DOMException`

### getBinding

IBinding getBinding(char[] name) throws DOMException
return the ILabel binding in this scope that matches the given name

Parameters:
  `name` -
Throws:
  `DOMException`